<?php
/*---------------------------------------------------------------*/
/*
    Titre : Affichage page par page                                                                                       
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=47
    Date dition     : 05 Sept 2004                                                                                       
    Date mise  jour : 26 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - refactoring du code en PHP 7                                                                                        
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/?>
    CREATE TABLE IF NOT EXISTS `phpsources_test` (
      `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
      `texte` text,
      PRIMARY KEY (`id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

    --
    -- Données de la table `phpsources_test`
    --

    INSERT INTO `phpsources_test` (`id`, `texte`) VALUES
    (1, 'I love PHP'),
    (2, 'I do PHP'),
    (3, 'Hello world'),
    (4, 'Good morning'),
    (5, 'Good night'),
    (6, 'Im Free');
                               
<?php

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);


    $page = isset($_GET['page']) ? $_GET['page'] : ''; 
    $debut = '';
    // Prepare le requete MySql
    $requete = "SELECT * from phpsources_test";
    $ret = mysqli_query($conn,$requete);

    // Variable nombre d'enreg par page
    $limit=2;


    if($debut==""){$debut=0;}
    $debut=$page*$limit;
    // Compte le nombre de champ
    $nb_total=$ret->num_rows;
    // Requete
    $limite = mysqli_query($conn,"$requete limit $debut,$limit");


    // Affiche le page par page avec ses liens
    if ($page>0) {
    $precedent=$page-1;
    echo "<a href=\"".$_SERVER['PHP_SELF']."?page=$precedent\">PRECEDENT</a>";
    }

    $i=0;
    $j=1;

    if($nb_total>$limit) {
    while($i<($nb_total/$limit)) {
    if($i!=$page){echo "<a href=\"".$_SERVER['PHP_SELF']."?page=$i\">$j</a> ";}
    else { echo "<b>$j</b>";}
    $i++;$j++;
    }
    }

    if($debut+$limit<$nb_total) {
    $suivant=$page+1;
    echo "<a href=\"".$_SERVER['PHP_SELF']."?page=$suivant\">SUIVANT</a>";
    }


    //Affichage le contenu de votre table
    //avec une limite, dans l'exemple $limit est à 4

    $limit_str = "LIMIT ". $page * $limit .",$limit";

    $result = mysqli_query($conn,"
                          SELECT * 
                          FROM phpsources_test
                          ORDER BY id 
                          ASC $limit_str");
    while ($row = mysqli_fetch_array ($result) )
    {
    // affiche les different champs
    echo $row['texte'];
    echo"<br />";
    }
?>